summaryrefslogtreecommitdiffstats
path: root/reporting/run_unit_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'reporting/run_unit_tests.sh')
-rwxr-xr-xreporting/run_unit_tests.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/reporting/run_unit_tests.sh b/reporting/run_unit_tests.sh
new file mode 100755
index 0000000..6b0e3b2
--- /dev/null
+++ b/reporting/run_unit_tests.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -o errexit
+set -o pipefail
+
+# ******************************
+# prepare the env for the tests
+# ******************************
+# Either Workspace is set (CI)
+if [ -z $WORKSPACE ]
+then
+ WORKSPACE="."
+fi
+
+export CONFIG_REPORTING_YAML=./reporting.yaml
+
+# ***************
+# Run unit tests
+# ***************
+echo "Running unit tests..."
+
+# start vitual env
+virtualenv $WORKSPACE/reporting_venv
+source $WORKSPACE/reporting_venv/bin/activate
+
+# install python packages
+easy_install -U setuptools
+easy_install -U pip
+pip install -r $WORKSPACE/docker/requirements.pip
+pip install -e $WORKSPACE
+
+python $WORKSPACE/setup.py develop
+
+# unit tests
+# TODO: remove cover-erase
+# To be deleted when all functest packages will be listed
+nosetests --with-xunit \
+ --cover-package=utils \
+ --with-coverage \
+ --cover-xml \
+ tests/unit
+rc=$?
+
+deactivate